Bug 880742 - Import VM dialog ignores the Collapse All Snapshots checkbox when importing an existing VM
Import VM dialog ignores the Collapse All Snapshots checkbox when importing a...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
All All
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Tal Nisan
Gadi Ickowicz
storage
: Regression
Depends On:
Blocks: 872506 888309
  Show dependency treegraph
 
Reported: 2012-11-27 12:29 EST by Allon Mureinik
Modified: 2016-02-10 12:41 EST (History)
11 users (show)

See Also:
Fixed In Version: is1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:17:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Engine log (7.02 KB, text/plain)
2012-11-27 12:29 EST, Allon Mureinik
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10828 None None None Never

  None (edit)
Description Allon Mureinik 2012-11-27 12:29:46 EST
Created attachment 652955 [details]
Engine log

Description of problem:
When importing a VM, the frontend forcibly sends collapseSnapshots=true if the imported VM already exists in the snapshot or Clone All is checked, regardless of whether the checkbox for Collapse All Snapshots is checked or not.

Version-Release number of selected component (if applicable):
Reproduced on upstream oVirt, change-id I7088b94cd716bb93b2a4813963a980f4eab9e597 (commit d099b397ef800917d06e173c93aba81cde3a5a9a).

How reproducible:
100%

Steps to Reproduce:
1. Create an NFS DC
2. Create a storage domain on the DC
3. Create a VM with a disk
4. Take a snapshot of the VM
5. Create an export domain
6. Export the VM
7. Import the same VM. Make sure that "Collapse All Snapshots" IS NOT CHECKED.
  
Actual results:
Although the checkbox was not checked, import is run with collapseAllSnapshots=ture, and the imported VM's snapshot is collapsed.

Expected results:
Need to understand if the described behaviour (i.e., overiding Collapse All Snapshots) is desired or not.
If it isn't - remove it.
If it is - mark the checkbox as checked, and grey it out, so the user will not have the misconception that he can control this behaviour.

Additional info:
Comment 1 Allon Mureinik 2012-11-28 12:00:44 EST
Further analysis - this checkbox is a per VM property, not a global one, so the screen should probably be changed (a box per VM probably?).

Removing devel-ack and pm-ack so this bug can be re-eveluated and a direction decided.
Comment 6 Gadi Ickowicz 2013-08-12 06:20:12 EDT
Verified on is9.1.

Importing a VM without collapse snapshots imports the vm with the snapshot as expected. Attempting to import a VM more than once shows the checkboxes for Clone and Collapse for that vm as on and greyed out, and the import collapses the snapshots.
Comment 7 Itamar Heim 2014-01-21 17:17:52 EST
Closing - RHEV 3.3 Released
Comment 8 Itamar Heim 2014-01-21 17:24:23 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.